In specific cases, when upgrading DUAS 5 with a corrupted calendar, DUAS 6 would not start and crash

Document ID : KB000085706
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
The following kind of errors would appear on the v6 universe.log after finishing the upgrade:

################
| 2015-01-08 09:17:36 |FATAL|X|IO |pid=4880.4420| implCheckCalendar | Invalid calendar year: 2039 
| 2015-01-08 09:17:36 |ERROR|X|IO |pid=4880.4420| setCalendar | Cannot use an invalid calendar for the generic calendar 
| 2015-01-08 09:17:36 |ERROR|X|IO |pid=4880.4420| u_cal_load_calendars | Error 1 loading general calendar 
| 2015-01-08 09:17:36 |ERROR|X|IO |pid=4880.4420| o_init_calendar | Unable to load calendars from IO (error -1) 
| 2015-01-08 09:17:36 |FATAL|X|IO |pid=4880.4420| u_io_srv_main | IO server X init calendar error -1. 
################

Patch level detected:Dollar Universe 6.3.00
Product Version: Dollar.Universe 6.3.01

Description :When upgrading DUAS 5 with a corrupted calendar, in specific cases DUAS 6 would not start and crashed
Environment:
OS: All
Cause:
Cause type:
Defect
Root Cause: N/A
Resolution:
The newer upgrade kit 6.5.01 and univiewer console 6.5 will detect the issue and throw an error on the Objects Upgrade like the following:

The error states "Calendar General XXXX containing an error at year 2039 was truncated on that date: The first day of the year is not the next weekday to the last day of the previous year".

Nevertheless, the node will be able to start correctly after the upgrade.

Fix Status: Released

Fix Version(s):
Component: Univiewer.Console
Version: Dollar.Universe 6.5.01
The upgrade toolkit 6.5.01 also contains the correction
Additional Information:
Workaround :
N/A